# List groups in the account

Launch stage: Beta

`GET /api/2.0/identity/groups`

Lists the groups in the Databricks account that parents
 the calling workspace, returning one page per call. Supports filtering by group name or external ID.

API scopes: identity

## Query parameters

- `page_size` (int32, optional)
  The maximum number of groups to return. The service may return fewer than this value.
   If not provided, defaults to 1000, which is also the maximum allowed. Requests for more than the maximum are clamped to 1000.
- `page_token` (string, optional)
  A page token, received from a previous ListGroups call. Provide this to retrieve the subsequent page.
- `filter` (string, optional)
  Optional. Allows filtering groups by group name or external id.

## Returns

Returns a list of Group objects.

## Response

```json
{
  "groups": [
    {
      "account_id": "string",
      "group_id": "string",
      "external_id": "string",
      "group_name": "string"
    }
  ],
  "next_page_token": "string"
}
```

